<mat-card>
    <mat-card-header>
        <mat-card-title class="title">
            <!-- equipments0 multiselect section  -->
            <angular2-multiselect [data]="equipments0" [(ngModel)]="selectedEquipments0" [settings]="dropdownEquipment0Settings" (onSelect)="onChangeEQ1($event)" (onDeSelect)="onChangeEQ1($event)" (onSelectAll)="onChangeEQ1($event)" (onDeSelectAll)="onChangeEQ1($event)"
                style="width:200px">
            </angular2-multiselect>

            <!-- equipments1 multiselect section  -->
            <angular2-multiselect *ngIf="equipments1?.length > 0" [data]="equipments1" [(ngModel)]="selectedEquipments1" [settings]="dropdownEquipment1Settings" (onSelect)="onChangeEQ2($event)" (onDeSelect)="onChangeEQ2($event)" (onSelectAll)="onChangeEQ2($event)"
                (onDeSelectAll)="onChangeEQ2($event)" style="width:200px">
            </angular2-multiselect>

            <!-- equipments2 multiselect section  -->
            <angular2-multiselect *ngIf="equipments2?.length > 0" [data]="equipments2" [(ngModel)]="selectedEquipments2" [settings]="dropdownEquipment2Settings" (onSelect)="searchUserEquipment()" (onDeSelect)="searchUserEquipment()" (onSelectAll)="searchUserEquipment()"
                (onDeSelectAll)="searchUserEquipment()" style="width:200px">
            </angular2-multiselect>

            <!-- office0 multiselect section  -->
            <angular2-multiselect [data]="offices0" [(ngModel)]="selectedOffices0" [settings]="dropdownOffice0Settings" (onSelect)="onChangeOF1($event)" (onDeSelect)="onChangeOF1($event)" (onSelectAll)="onChangeOF1($event)" (onDeSelectAll)="onChangeOF1($event)" style="width:220px">
            </angular2-multiselect>
            <!-- office1 multiselect section  -->
            <angular2-multiselect *ngIf="offices1?.length > 0" [data]="offices1" [(ngModel)]="selectedOffices1" [settings]="dropdownOffice1Settings" (onSelect)="getUsers();searchUserEquipment();" (onDeSelect)="getUsers();searchUserEquipment();" (onSelectAll)="getUsers();searchUserEquipment();"
                (onDeSelectAll)="getUsers();searchUserEquipment();" style="width:180px">
            </angular2-multiselect>
            <angular2-multiselect [data]="users" [(ngModel)]="selectedUsers" [settings]="dropdownUserSettings" (onSelect)="searchUserEquipment()" (onDeSelect)="searchUserEquipment()" (onSelectAll)="searchUserEquipment()" (onDeSelectAll)="searchUserEquipment()" style="width:200px">
                <c-badge>
                    <ng-template let-item="item">
                        {{item.user_Fname}} {{item.user_Lname}}
                    </ng-template>
                </c-badge>
                <c-item>
                    <ng-template let-item="item">
                        <label>{{item.user_Fname}} {{item.user_Lname}}</label>
                    </ng-template>
                </c-item>
            </angular2-multiselect>
        </mat-card-title>
    </mat-card-header>
    <mat-card-header>
        <mat-card-title class="title">

            <button mat-raised-button color="primary" (click)="searchUserEquipment()">
        <mat-icon>face</mat-icon> جستجوی تجهیزات
      </button>
            <span class="md-headline" style="color:blue" *ngIf="myval.Count">
        تعداد تجهیزات جستجو شده : {{myval?.Count | number}}
      </span>
        </mat-card-title>
    </mat-card-header>

    <mat-card-content>

        <div class="grid-wrapper">
            <kendo-grid [data]="query | async" [pageSize]="state.take" [skip]="state.skip" [sort]="state.sort" [sortable]="{ mode: 'multiple' }" [pageable]="{
      buttonCount: buttonCount,
      info: info,
      type: type,
      pageSizes: pageSizes,
      previousNext: previousNext
    }" [resizable]="true" (dataStateChange)="dataStateChange($event)" [height]="410">
                <kendo-grid>
                    <!-- <ng-template kendoGridToolbarTemplate *ngIf="myval">
                        <div class="button-row left">
                            <button *ngIf="myval.Count" mat-flat-button>تعداد : {{myval?.Count | number}}</button>
                        </div>
                    </ng-template> -->
                </kendo-grid>


                <kendo-grid-command-column title="ع" width="50" [resizable]="false" [locked]="true">
                    <ng-template kendoGridCellTemplate let-dataItem="dataItem">
                        <button mat-icon-button class="size-16">
              <mat-icon [routerLink]="['/user_equipment/', dataItem.userEquip_ID]" color="accent" class="size-16">create</mat-icon>
            </button>
                    </ng-template>
                </kendo-grid-command-column>

                <kendo-grid-column field="user.user_Fname" title="کاربر" width="50">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{dataItem.user.user_Fname}} {{dataItem.user.user_Lname}}
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="user.office.office_Name" title="نام داره" width="100">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{dataItem.user.office.office_Name}}
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="equipment.equip_Name" title="نام تجهیزات" width="100">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{dataItem.equipment.equip_Name}}
                        <button *ngIf="isCase(dataItem.equipment.equip_Name)" mat-button color="accent" class="small" (click)='openDialog(dataItem.userEquip_ID)'>جزئیات</button>
                    </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="shSerial" title="ش.سريال" width="50">
                    <!-- <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter" let-filterService="filterService">
                  <app-multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService" [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></app-multicheck-filter>
              </ng-template> -->
                </kendo-grid-column>
                <kendo-grid-column field="shAmval" title="ش.اموال" width="50">
                    <!-- <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter" let-filterService="filterService">
                  <app-multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService" [currentFilter]="filter" [data]="distinctPrimitive(column.field)"></app-multicheck-filter>
              </ng-template> -->
                </kendo-grid-column>

                <kendo-grid-messages pagerPage="صفحه" pagerOf="از" pagerItems="مورد" pagerItemsPerPage="تعداد مورد در هر صفحه">
                </kendo-grid-messages>
            </kendo-grid>
            <div *ngIf="loading" class="k-i-loading"></div>
        </div>
    </mat-card-content>
</mat-card>
